tigase.server.ext

## Class CompConfigRepository

- java.lang.Object
- - tigase.db.comp.ConfigRepository<CompRepoItem>
  - - tigase.server.ext.CompConfigRepository

- All Implemented Interfaces:
    Iterable<CompRepoItem>, ComponentRepository<CompRepoItem>

      public class CompConfigRepository
      extends ConfigRepository<CompRepoItem>

  Created: Oct 3, 2009 2:00:30 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    - ### Fields inherited from class tigase.db.comp.ConfigRepository

      `items`

    - ### Fields inherited from interface tigase.db.comp.ComponentRepository

      `COMP_REPO_BIND`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompConfigRepository()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getConfigKey()` Method description
    `String[]` | `getDefaultPropetyItems()` Method description
    `CompRepoItem` | `getItemInstance()` Creates a new, uninitialized instance of the repository Item.
    `String` | `getPropertyKey()` Method description

    - ### Methods inherited from class tigase.db.comp.ConfigRepository

      `addItem, addRepoChangeListener, allItems, contains, getDefaults, getItem, itemChanged, iterator, reload, removeItem, removeRepoChangeListener, setAutoloadTimer, setProperties, size, store, toString, validateItem`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CompConfigRepository

          public CompConfigRepository()

  - ### Method Detail

    - #### getDefaultPropetyItems

          public String[] getDefaultPropetyItems()

      Description copied from class: `ConfigRepository`
      Method description
      Specified by:
        `getDefaultPropetyItems` in class `ConfigRepository<CompRepoItem>`

    - #### getPropertyKey

          public String getPropertyKey()

      Description copied from class: `ConfigRepository`
      Method description
      Specified by:
        `getPropertyKey` in class `ConfigRepository<CompRepoItem>`

    - #### getConfigKey

          public String getConfigKey()

      Description copied from class: `ConfigRepository`
      Method description
      Specified by:
        `getConfigKey` in class `ConfigRepository<CompRepoItem>`

    - #### getItemInstance

          public CompRepoItem getItemInstance()

      Description copied from interface: `ComponentRepository`
      Creates a new, uninitialized instance of the repository Item.
      Returns:
        a new, uninitialized instance of the repository Item.

Copyright © 2014 "Tigase, Inc.". All rights reserved.